<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head>
</head>
<body>

	<th:block data-th-fragment="trainingSiteWithData(treatmentTypes, medicalFields, equipments, authorisedDoctors)">
		<fieldset>
			<legend data-th-text="#{trainingsites.treatment}">Behandlungsmethoden</legend>
			<th:block data-th-replace="locations/fragments::selectTreatmentType(${treatmentTypes})" />
			<th:block data-th-replace="locations/fragments::selectMedicalField(${medicalFields})" />
		</fieldset>

		<fieldset>
			<legend data-th-text="#{trainingsites.equipment}">Ausstattung</legend>
			<th:block data-th-replace="locations/fragments::selectEquipments(${equipments})" />
		</fieldset>

		<fieldset>
			<legend data-th-text="#{trainingsites.authoriseddoctors}">Weiterbildungsbefugte</legend>
			<div></div>
				<ul>
					<li data-th-each="authorisedDoctor: ${authorisedDoctors}">
						<a data-th-replace="fragments/snippets::editWithText('/persons/authoriseddoctors', ${authorisedDoctor.id}, ${authorisedDoctor.fullName})"></a>
					</li>
				</ul>
		</fieldset>
	</th:block>

	<th:block data-th-fragment="selectTreatmentType(treatmentTypes)">
		<th:block data-th-replace="::radio(field='treatmentType', fieldname='trainingsites.treatmenttype', options=${treatmentTypes})" />
	</th:block>

	<th:block data-th-fragment="selectMedicalField(medicalFields)">
		<th:block data-th-replace="fragments/forms::singleSelect(field='medicalField', fieldname='trainingsites.medicalfield', options=${medicalFields})" />
	</th:block>

	<th:block data-th-fragment="selectEquipments(equipments)">
		<th:block data-th-replace="::checkboxes(field='equipments', fieldname='trainingsites.equipment', options=${equipments})" />
	</th:block>

	<th:block data-th-fragment="radio">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="fragments/forms::fieldError(${field})" />
		<label data-th-text="#{__${fieldname ?: field}__}">Field Name</label>
		<div>
			<th:block data-th-each="option, iterStat: ${options}">
				<input type="radio" data-th-field="*{__${field}__}" data-th-value="${option}" data-th-errorclass="error" />
				<label data-th-text="#{${option}}" data-th-for="${field} + ${iterStat.count}"></label>
			</th:block>
		</div>
	</th:block>

	<th:block data-th-fragment="checkboxes">
		<th:block data-th-if="${#fields.hasErrors('__${field}__')}" data-th-replace="fragments/forms::fieldError(${field})" />
		<label data-th-text="#{__${fieldname ?: field}__}">Field Name</label>
		<div>
			<th:block data-th-each="option, iterStat: ${options}">
				<input type="checkbox" data-th-field="*{__${field}__}" data-th-value="${option.id}" data-th-errorclass="error" />
				<label data-th-text="${option.name}" data-th-for="${field} + ${iterStat.count}"></label>
			</th:block>
		</div>
	</th:block>



</body>
</html>